import Util from '@/libs/util';
import Vue from 'vue';

const obj = {
    state: {
        hdr:{
            begin_date:'2014-01-01',
            end_date:'2019-12-13 23:59',
            sType:'检验'
        },
        orderItem:{},
        warehouseDetail:{}
    },
    mutations: {
        saveKanbanHdr(state,data){
            state.hdr = data;
        },
        saveKanbanOrderItem(state,data){
            state.orderItem = data;
        },
        saveWarehouseDetail(state,data){
            state.warehouseDetail = data;
        }
    },
    actions: {
        saveKanbanHdr({commit},data){
            commit('saveKanbanHdr',data);
        },
        saveKanbanOrderItem({commit},data){
            commit('saveKanbanOrderItem',data);
        },
        saveWarehouseDetail({commit},data){
            commit('saveWarehouseDetail',data);
        }
    }
};

export default obj;
